/**
 * @file	Clockconfig.h
 * @author	Robert Steigemann
 * @date	15 January 2017
 * @brief	Timer and clock configuration
 *
 * @license creative commons license CC BY-NC 4.0 http://creativecommons.org/licenses/by-nc/4.0/
 */

#ifndef CLOCKCONFIG_H_
#define CLOCKCONFIG_H_


// This function set the system clock to 32 MHz with automatic calibration.
void clk_init(void);

bool timer_1s_tick(void);
bool timer_100ms_tick(void);
bool timer_10ms_tick(void);

#endif /* CLOCKCONFIG_H_ */